package tools;

import asct.shared.ApplicationState;
import asct.shared.IExecutionListener;
import dataTypes.ExecutionRequestId;



public class FinishedExecutionListener implements IExecutionListener {
	private boolean isFinished = false;

	@Override
	public void updateStatus(ExecutionRequestId execRequestId,
			ApplicationState applicationStatus) {
		if (applicationStatus == ApplicationState.FINISHED) {
			isFinished = true;
		}

	}

	public boolean hasFinished() {
		return isFinished;
	}

}
