package application;

import org.junit.Assert;
import org.junit.Ignore;
import org.junit.Test;

import tools.CommandLine;
import asct.ui.ExecutionRequestDescriptorComposite;

public class testApplication {

	@Test
	public void shouldHaveAName() {
		Application app = new Application("regular");
		Assert.assertEquals("regular", app.getName());
	}

	@Test
	public void shouldBuildApplicationOnTempFolder() {
		CommandLine commandLine = new CommandLine();
		Application app = new Application(commandLine, "regular");
		app.build();
		Assert.assertEquals("regular", commandLine.lastBuild());
	}

	@Test
	@Ignore
	public void shouldGiveApplicationDescriptor() {
		Application app = new Application("regular");
		ExecutionRequestDescriptorComposite descriptor;
		descriptor = null;
		try {
			descriptor = app.getDescriptor();
		} catch (Exception e) {
			Assert.fail("You made something wrong");
		}
		Assert.assertEquals("regular", descriptor.getApplicationName());
	}

}
